<?php

namespace Litecms\Lead\Repositories\Eloquent;

use Litecms\Lead\Interfaces\LeadSystemRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Lead\Repositories\Eloquent\Presenters\LeadSystemItemPresenter;


class LeadSystemRepository extends BaseRepository implements LeadSystemRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.lead.lead_system.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.lead.lead_system.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return LeadSystemItemPresenter::class;
    }
}
